#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	gtk2		# GTK+ 2 support
%bcond_without	gtk3		# GTK+ 3 support
#
Summary:	Application Menu GTK+ Module
Summary(pl.UTF-8):	Moduł GTK+ dla menu aplikacyjnych
Name:		appmenu-gtk-module
Version:	25.04
Release:	1
License:	LGPL v3
Group:		X11/Libraries
#Source0Download: https://gitlab.com/vala-panel-project/vala-panel-appmenu/-/releases
Source0:	https://gitlab.com/-/project/6865053/uploads/4f517338d3c65a0ea6f49faf36a4f3e6/%{name}-%{version}.tar.xz
# Source0-md5:	489330d8c52b096afb3e5f4a5720aec6
Patch0:		%{name}-gtkdoc.patch
URL:		https://gitlab.com/vala-panel-project/vala-panel-appmenu
BuildRequires:	glib2-devel >= 1:2.52.0
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.22.0}
%{?with_apidocs:BuildRequires:	gtk-doc}
BuildRequires:	meson >= 0.61.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.52.0
Suggests:	appmenu-gtk2-module = %{version}-%{release}
Suggests:	appmenu-gtk3-module = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is renamed port of Unity GTK+ module
(<https://launchpad.net/unity-gtk-module>).

Unity GTK+ Module is small GTK Module than strips menus from all GTK
programs, converts to MenuModel and send to AppMenu.

%description -l pl.UTF-8
Ten pakiet jest portem modułu GTK+ Unity
(<https://launchpad.net/unity-gtk-module>) ze zmienioną nazwą.

Moduł GTK+ Unity to mały moduł GTK wycinający menu ze wszystkich
programów GTK, konwertujący je na MenuModel i wysyłający do AppMenu.

%package -n appmenu-gtk2-parser
Summary:	GtkMenuShell to GMenuModel parser for GTK+ 2
Summary(pl.UTF-8):	Parser GtkMenuShell do GMenuModel dla GTK+ 2
Group:		X11/Libraries
Requires:	glib2 >= 1:2.52.0
Requires:	gtk+2 >= 2:2.24.0
Requires:	gtk+3-devel >= 3.22.0

%description -n appmenu-gtk2-parser
GtkMenuShell to GMenuModel parser for GTK+ 2.

%description -n appmenu-gtk2-parser -l pl.UTF-8
Parser GtkMenuShell do GMenuModel dla GTK+ 2.

%package -n appmenu-gtk2-parser-devel
Summary:	Header files for appmenu-gtk2-parser library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki appmenu-gtk2-parser
Group:		X11/Development/Libraries
Requires:	appmenu-gtk2-parser = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.24.0

%description -n appmenu-gtk2-parser-devel
Header files for appmenu-gtk2-parser library.

%description -n appmenu-gtk2-parser-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki appmenu-gtk2-parser.

%package -n appmenu-gtk2-module
Summary:	Application Menu module for GTK+ 2
Summary(pl.UTF-8):	Moduł menu aplikacyjnych dla GTK+ 2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	appmenu-gtk2-parser = %{version}-%{release}

%description -n appmenu-gtk2-module
Application Menu module for GTK+ 2.

%description -n appmenu-gtk2-module -l pl.UTF-8
Moduł menu aplikacyjnych dla GTK+ 2.

%package -n appmenu-gtk3-parser
Summary:	GtkMenuShell to GMenuModel parser for GTK+ 3
Summary(pl.UTF-8):	Parser GtkMenuShell do GMenuModel dla GTK+ 3
Group:		X11/Libraries
Requires:	glib2 >= 1:2.52.0
Requires:	gtk+3 >= 3.22.0

%description -n appmenu-gtk3-parser
GtkMenuShell to GMenuModel parser for GTK+ 3.

%description -n appmenu-gtk3-parser -l pl.UTF-8
Parser GtkMenuShell do GMenuModel dla GTK+ 3.

%package -n appmenu-gtk3-parser-devel
Summary:	Header files for appmenu-gtk3-parser library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki appmenu-gtk3-parser
Group:		X11/Development/Libraries
Requires:	appmenu-gtk2-parser = %{version}-%{release}
Requires:	gtk+3-devel >= 3.22.0

%description -n appmenu-gtk3-parser-devel
Header files for appmenu-gtk3-parser library.

%description -n appmenu-gtk3-parser-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki appmenu-gtk3-parser.

%package -n appmenu-gtk3-module
Summary:	Application Menu module for GTK+ 3
Summary(pl.UTF-8):	Moduł menu aplikacyjnych dla GTK+ 3
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	appmenu-gtk2-parser = %{version}-%{release}

%description -n appmenu-gtk3-module
Application Menu module for GTK+ 3.

%description -n appmenu-gtk3-module -l pl.UTF-8
Moduł menu aplikacyjnych dla GTK+ 3.

%package apidocs
Summary:	API documentation for appmenu-gtk-parser library
Summary(pl.UTF-8):	Dokumentacja API biblioteki appmenu-gtk-parser
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for appmenu-gtk-parser library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki appmenu-gtk-parser.

%prep
%setup -q
%patch -P0 -p1

%build
%meson \
	-Dgtk=%{?with_gtk2:2,}%{?with_gtk3:3} \
	%{?with_apidocs:-Dgtk_doc=true}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/appmenu-gtk-module
# just LGPL v3
%{__rm} $RPM_BUILD_ROOT%{_datadir}/licenses/appmenu-gtk-module/LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%post	-n appmenu-gtk2-parser -p /sbin/ldconfig
%postun	-n appmenu-gtk2-parser -p /sbin/ldconfig

%post	-n appmenu-gtk3-parser -p /sbin/ldconfig
%postun	-n appmenu-gtk3-parser -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md TODO
%{systemduserunitdir}/appmenu-gtk-module.service
%{_datadir}/glib-2.0/schemas/org.appmenu.gtk-module.gschema.xml

%if %{with gtk2}
%files -n appmenu-gtk2-parser
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libappmenu-gtk2-parser.so.*.*
%ghost %{_libdir}/libappmenu-gtk2-parser.so.0

%files -n appmenu-gtk2-parser-devel
%defattr(644,root,root,755)
%{_libdir}/libappmenu-gtk2-parser.so
# shared with appmenu-gtk3-parser-devel
%{_includedir}/appmenu-gtk-parser
%{_pkgconfigdir}/appmenu-gtk2-parser.pc

%files -n appmenu-gtk2-module
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libappmenu-gtk-module.so
%endif

%if %{with gtk3}
%files -n appmenu-gtk3-parser
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libappmenu-gtk3-parser.so.*.*
%ghost %{_libdir}/libappmenu-gtk3-parser.so.0

%files -n appmenu-gtk3-parser-devel
%defattr(644,root,root,755)
%{_libdir}/libappmenu-gtk3-parser.so
# shared with appmenu-gtk2-parser-devel
%{_includedir}/appmenu-gtk-parser
%{_pkgconfigdir}/appmenu-gtk3-parser.pc

%files -n appmenu-gtk3-module
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libappmenu-gtk-module.so
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/appmenu-gtk-parser
%endif
%changelog
* Thu Jun 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/appmenu-gtk-module.git;a=log;h=master

* Wed Jun 11 2025 Jakub Bogusz <qboosh@pld-linux.org> fc14917
- new

